OpenNMS API 1.2.9

## org.opennms.netmgt.xmlrpcd
Class Xmlrpcd

    java.lang.Object
      org.opennms.netmgt.xmlrpcd.Xmlrpcd

All Implemented Interfaces:
  Fiber, PausableFiber

public class Xmlrpcd
extends java.lang.Object
implements PausableFiber

The Xmlrpcd receives events selectively and sends notification to an external XMLRPC server via the XMLRPC protocol.

Author:
  James Zuo , OpenNMS.org

Field Summary
`private static java.lang.String` `LOG4J_CATEGORY` The name of the logging category for Xmlrpcd.
`private FifoQueue` `m_eventlogQ` The communication queue
`private BroadcastEventProcessor` `m_eventReceiver` The class instance used to recieve new events from for the system.
`private java.lang.String` `m_name` The name of this service.
`private EventQueueProcessor` `m_processor` The queue processing thread
`private static Xmlrpcd` `m_singleton` The singlton instance.
`private int` `m_status` The last status sent to the service control manager.

Fields inherited from interface org.opennms.core.fiber.PausableFiber
`PAUSE_PENDING, PAUSED, RESUME_PENDING`

Fields inherited from interface org.opennms.core.fiber.Fiber
`RUNNING, START_PENDING, STARTING, STATUS_NAMES, STOP_PENDING, STOPPED`

Constructor Summary
`Xmlrpcd()` Constructs a new Xmlrpcd object that receives events subscribed by the external XMLRPC server and sends corresponding message to the external XMLRPC server via XMLRPC protocol.

Method Summary
`static Xmlrpcd` `getInstance()` Returns the singular instance of the xmlrpcd daemon.
`java.lang.String` `getName()` Returns the name of the service.
`int` `getStatus()` Returns the current status of the service.
`void` `init()`
`void` `pause()` Pauses Xmlrpcd
`void` `resume()` Resumes Xmlrpcd
`void` `start()` This method is used to start the initilization process of the `Fiber`, which should eventually transition to a `RUNNING` status.
`void` `stop()` Stops the currently running service.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LOG4J_CATEGORY

    private static final java.lang.String LOG4J_CATEGORY

  The name of the logging category for Xmlrpcd.

  See Also:
    Constant Field Values

### m_singleton

    private static final Xmlrpcd m_singleton

  The singlton instance.

### m_name

    private java.lang.String m_name

  The name of this service.

### m_status

    private int m_status

  The last status sent to the service control manager.

### m_eventlogQ

    private FifoQueue m_eventlogQ

  The communication queue

### m_processor

    private EventQueueProcessor m_processor

  The queue processing thread

### m_eventReceiver

    private BroadcastEventProcessor m_eventReceiver

  The class instance used to recieve new events from for the system.

Constructor Detail

### Xmlrpcd

    public Xmlrpcd()

  Constructs a new Xmlrpcd object that receives events subscribed by the external XMLRPC server and sends corresponding message to the external XMLRPC server via XMLRPC protocol.

Method Detail

### init

    public void init()

### start

    public void start()

  Description copied from interface: `Fiber`
  This method is used to start the initilization process of the `Fiber`, which should eventually transition to a `RUNNING` status.

  Specified by:
    `start` in interface `Fiber`
  Throws:
    `java.lang.reflect.UndeclaredThrowableException` - if an unexpected database, or IO exception occurs.

### pause

    public void pause()

  Pauses Xmlrpcd

  Specified by:
    `pause` in interface `PausableFiber`

### resume

    public void resume()

  Resumes Xmlrpcd

  Specified by:
    `resume` in interface `PausableFiber`

### stop

    public void stop()

  Stops the currently running service. If the service is not running then the command is silently discarded.

  Specified by:
    `stop` in interface `Fiber`

### getStatus

    public int getStatus()

  Returns the current status of the service.

  Specified by:
    `getStatus` in interface `Fiber`
  Returns:
    The service's status.

### getName

    public java.lang.String getName()

  Returns the name of the service.

  Specified by:
    `getName` in interface `Fiber`
  Returns:
    The service's name.

### getInstance

    public static Xmlrpcd getInstance()

  Returns the singular instance of the xmlrpcd daemon. There can be only one instance of this service per virtual machine.

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.